Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::Policy_var Class Reference

`#include <Policy_ForwardC.h>`

Inheritance diagram for CORBA::Policy_var:

[legend]
Collaboration diagram for CORBA::Policy_var:

[legend]
List of all members.

## Public Methods
| Policy_var (void)
| Policy_var (Policy_ptr p)
| Policy_var (const Policy_var &)
| ~Policy_var (void)
Policy_var & | operator= (Policy_ptr)
Policy_var & | operator= (const Policy_var &)
Policy_ptr | operator-> (void) const
| operator const Policy_ptr & () const
| operator Policy_ptr & ()
Policy_ptr | in (void) const
Policy_ptr & | inout (void)
Policy_ptr & | out (void)
Policy_ptr | _retn (void)
Policy_ptr | ptr (void) const
## Static Public Methods
Policy_ptr | tao_duplicate (Policy_ptr)
void | tao_release (Policy_ptr)
Policy_ptr | tao_nil (void)
Policy_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| Policy_var (const TAO_Base_var &rhs)
Policy_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
Policy_ptr | ptr_

## Constructor & Destructor Documentation

CORBA::Policy_var::Policy_var | ( | void |  | ) |

CORBA::Policy_var::Policy_var | ( | Policy_ptr | p | ) | `[inline]`

CORBA::Policy_var::Policy_var | ( | const Policy_var & |  | ) |

CORBA::Policy_var::~Policy_var | ( | void |  | ) |

CORBA::Policy_var::Policy_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

Policy_ptr CORBA::Policy_var::_retn | ( | void |  | ) |

Policy_ptr CORBA::Policy_var::in | ( | void |  | ) | const

Policy_ptr& CORBA::Policy_var::inout | ( | void |  | ) |

CORBA::Policy_var::operator const Policy_ptr & | ( |  | ) | const

CORBA::Policy_var::operator Policy_ptr & | ( |  | ) |

Policy_ptr CORBA::Policy_var::operator-> | ( | void |  | ) | const

Policy_var& CORBA::Policy_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

Policy_var& CORBA::Policy_var::operator= | ( | const Policy_var & |  | ) |

CORBA::Policy_var & CORBA::Policy_var::operator= | ( | Policy_ptr | p | ) |

Policy_ptr& CORBA::Policy_var::out | ( | void |  | ) |

CORBA::Policy_ptr CORBA::Policy_var::ptr | ( | void |  | ) | const

Policy_ptr CORBA::Policy_var::tao_duplicate | ( | Policy_ptr |  | ) | `[static]`

Policy_ptr CORBA::Policy_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

Policy_ptr CORBA::Policy_var::tao_nil | ( | void |  | ) | `[static]`

void CORBA::Policy_var::tao_release | ( | Policy_ptr |  | ) | `[static]`

CORBA::Object* CORBA::Policy_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

Policy_ptr CORBA::Policy_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Policy_ForwardC.h
- PolicyC.cpp